configuration

# Class: Config Source Location: /lib/config.inc
### Class Overview
This class manages .conf files. | ### Variables $activeTypes $Admins $cachetimeout $defaultLanguage $file $maxlistentries $moduleSettings $Passwd $scriptPath $scriptServer $ServerURL $settings $treesuffix $typeSettings | ### Methods Config get_AccountModules get_ActiveTypes get_Admins get_Adminstring get_cacheTimeout get_cacheTimeoutSec get_defaultLanguage get_listAttributes get_MaxListEntries get_moduleSettings get_Passwd get_scriptPath get_scriptServer get_ServerURL get_Suffix get_typeSettings reload save set_AccountModules set_ActiveTypes set_Adminstring set_cacheTimeout set_defaultLanguage set_listAttributes set_MaxListEntries set_moduleSettings set_Passwd set_scriptPath set_scriptServer set_ServerURL set_Suffix set_typeSettings
### Class Details [line 123] This class manages .conf files. [ Top ] ### Class Variables #### $activeTypes = "user,group,host,smbDomain" [line 169] Active account types
Type: | mixed
[ Top ] #### $Admins = [line 129] Array of string: users with admin rights
Type: | mixed
[ Top ] #### $cachetimeout = [line 166] LDAP cache timeout
Type: | mixed
[ Top ] #### $defaultLanguage = [line 141] Default language
Type: | mixed
[ Top ] #### $file = [line 172] Name of configuration file
Type: | mixed
[ Top ] #### $maxlistentries = [line 138] Maximum number of rows shown in user/group/host lists
Type: | mixed
[ Top ] #### $moduleSettings = array() [line 144] module settings
Type: | mixed
[ Top ] #### $Passwd = [line 132] Password to edit preferences
Type: | mixed
[ Top ] #### $scriptPath = [line 155] Path to external lamdaemon script on server where it is executed This is used for managing quota and home directories. optional setting, may not be defined
Type: | mixed
[ Top ] #### $scriptServer = [line 163] Server where lamdaemon script is executed This is used for managing quota and home directories. optional setting, may not be defined
Type: | mixed
[ Top ] #### $ServerURL = [line 126] Server address (e.g. ldap://127.0.0.1:389)
Type: | mixed
[ Top ] #### $settings = array("ServerURL", "Passwd", "Admins", "treesuffix", "maxlistentries", "defaultLanguage", "scriptPath", "scriptServer", "cachetimeout", "modules", "activeTypes", "types") [line 175] List of all settings in config file
Type: | mixed
[ Top ] #### $treesuffix = [line 135] LDAP suffix for tree view
Type: | mixed
[ Top ] #### $typeSettings = array() [line 147] type settings
Type: | mixed
[ Top ] ### Class Methods ### constructor Config [line 185]
`Config Config( [integer $file = 0])`
Loads preferences from config file #### Parameters:
integer | $file | Index number in config file array
[ Top ] ### method get_AccountModules [line 615]
`array get_AccountModules( string $scope)`
Returns an array of all selected account modules #### Tags:
return: | user modules
#### Parameters:
string | $scope | account type
[ Top ] ### method get_ActiveTypes [line 671]
`array get_ActiveTypes( )`
Returns a list of active account types. #### Tags:
return: | list of types
[ Top ] ### method get_Admins [line 376]
`array get_Admins( )`
Returns an array of string with all admin names #### Tags:
return: | the admin names
[ Top ] ### method get_Adminstring [line 385]
`string get_Adminstring( )`
Returns all admin users seperated by semicolons #### Tags:
return: | the admin string
[ Top ] ### method get_cacheTimeout [line 581]
`integer get_cacheTimeout( )`
Returns the LDAP cache timeout in minutes #### Tags:
return: | cache time
[ Top ] ### method get_cacheTimeoutSec [line 591]
`integer get_cacheTimeoutSec( )`
Returns the LDAP cache timeout in seconds #### Tags:
return: | cache time
[ Top ] ### method get_defaultLanguage [line 514]
`string get_defaultLanguage( )`
Returns the default language string #### Tags:
return: | default language
[ Top ] ### method get_listAttributes [line 467]
`string get_listAttributes( string $scope)`
Returns the list of attributes to show in user list #### Tags:
return: | the attribute list
#### Parameters:
string | $scope | account type
[ Top ] ### method get_MaxListEntries [line 493]
`integer get_MaxListEntries( )`
Returns the maximum number of rows in user/group/host lists #### Tags:
return: | maximum number
[ Top ] ### method get_moduleSettings [line 662]
`array get_moduleSettings( )`
Returns a list of saved module settings #### Tags:
return: | list of settings: array(name => value)
[ Top ] ### method get_Passwd [line 409]
`string get_Passwd( )`
Returns the password to access the preferences wizard #### Tags:
return: | the password
[ Top ] ### method get_scriptPath [line 535]
`string get_scriptPath( )`
Returns the path to the external script #### Tags:
return: | script path
[ Top ] ### method get_scriptServer [line 557]
`string get_scriptServer( )`
Returns the server of the external script #### Tags:
return: | script server
[ Top ] ### method get_ServerURL [line 355]
`string get_ServerURL( )`
Returns the server address as string #### Tags:
return: | server address
[ Top ] ### method get_Suffix [line 431]
`string get_Suffix( string $scope)`
Returns the LDAP suffix for the given account type #### Tags:
return: | the LDAP suffix
#### Parameters:
string | $scope | account type
[ Top ] ### method get_typeSettings [line 702]
`array get_typeSettings( )`
Returns a list of saved type settings #### Tags:
return: | list of settings: array(name => value)
[ Top ] ### method reload [line 200]
`boolean reload( )`
Reloads preferences from config file #### Tags:
return: | true if file was readable
[ Top ] ### method save [line 258]
`void save( )`
Saves preferences to config file [ Top ] ### method set_AccountModules [line 631]
`boolean set_AccountModules( array $modules, string $scope)`
Sets the selected account modules #### Tags:
return: | true if $modules has correct format
#### Parameters:
array | $modules | array with module names (not aliases!)
string | $scope | account type
[ Top ] ### method set_ActiveTypes [line 681]
`void set_ActiveTypes( array $types)`
Sets the list of active types. #### Parameters:
array | $types | list of types
[ Top ] ### method set_Adminstring [line 395]
`boolean set_Adminstring( string $value)`
Sets the admin string #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $value | new admin string that contains all admin users seperated by semicolons
[ Top ] ### method set_cacheTimeout [line 601]
`boolean set_cacheTimeout( integer $value)`
Sets the LDAP cache timeout in minutes (0,1,2,5,10,15) #### Tags:
return: | true if $value has correct format
#### Parameters:
integer | $value | new cache timeout
[ Top ] ### method set_defaultLanguage [line 524]
`boolean set_defaultLanguage( string $value)`
Sets the default language string #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $value | new default language
[ Top ] ### method set_listAttributes [line 478]
`boolean set_listAttributes( string $value, string $scope)`
Sets the list of attributes to show in user list #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $value | new attribute string
string | $scope | account type
[ Top ] ### method set_MaxListEntries [line 503]
`boolean set_MaxListEntries( integer $value)`
Sets the maximum number of rows in user/group/host lists #### Tags:
return: | true if $value has correct format
#### Parameters:
integer | $value | new maximum value
[ Top ] ### method set_moduleSettings [line 651]
`boolean set_moduleSettings( array $settings)`
Sets the settings for the account modules. #### Tags:
return: | true if $settings has correct format
#### Parameters:
array | $settings | list of module setting array(name => value)
[ Top ] ### method set_Passwd [line 419]
`boolean set_Passwd( string $value)`
Sets the preferences wizard password #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $value | new password
[ Top ] ### method set_scriptPath [line 545]
`boolean set_scriptPath( string $value)`
Sets the path to the external script #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $value | new script path
[ Top ] ### method set_scriptServer [line 567]
`boolean set_scriptServer( string $value)`
Sets the server of the external script #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $value | new script server
[ Top ] ### method set_ServerURL [line 365]
`boolean set_ServerURL( string $value)`
Sets the server address #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $value | new server address
[ Top ] ### method set_Suffix [line 447]
`boolean set_Suffix( string $scope, string $value)`
Sets the LDAP suffix where accounts are saved #### Tags:
return: | true if $value has correct format
#### Parameters:
string | $scope | account type
string | $value | new LDAP suffix
[ Top ] ### method set_typeSettings [line 691]
`boolean set_typeSettings( array $settings)`
Sets the settings for the account types. #### Tags:
return: | true if $settings has correct format
#### Parameters:
array | $settings | list of type setting array(name => value)
[ Top ] Documentation generated on Tue, 07 Feb 2006 17:03:36 +0100 by phpDocumentor 1.2.3